Bug 864422

Summary: demo fonts are missing in font selection box
Product: [Fedora] Fedora Reporter: A S Alam <aalam>
Component: gnome-terminalAssignee: Matthias Clasen <mclasen>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: fonts-bugs, i18n-bugs, mclasen, mshao, pnemade, psatpute, tagoh
Target Milestone: ---Keywords: i18n, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-22 23:23:04 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description A S Alam 2012-10-09 08:08:04 EDT
Created attachment 624056 [details]
screenshot from gnome-terminal

Description of problem:
trying to change font for gnome-termianl, while font selection window opened, it shows Unicode Number instead of actualy glyphs

Version-Release number of selected component (if applicable):
fontconfig-2.10.1-1.fc18.x86_64
liberation-mono-fonts-2.00.1-1.fc18.noarch
lohit-punjabi-fonts-2.5.1-3.fc18.noarch

How reproducible:
evertime

Steps to Reproduce:
1. open gnome-termial
2. Edit->Preference
3. General->Font
4. 
  
Actual results:
there are Unicode Value instead of glyph

Expected results:
should have font glyph either English or selected Language

Additional info:
same with gedit.

[aalam@localhost ~]$ locale
LANG=pa_IN.utf8
LC_CTYPE="pa_IN.utf8"
LC_NUMERIC="pa_IN.utf8"
LC_TIME="pa_IN.utf8"
LC_COLLATE="pa_IN.utf8"
LC_MONETARY="pa_IN.utf8"
LC_MESSAGES="pa_IN.utf8"
LC_PAPER="pa_IN.utf8"
LC_NAME="pa_IN.utf8"
LC_ADDRESS="pa_IN.utf8"
LC_TELEPHONE="pa_IN.utf8"
LC_MEASUREMENT="pa_IN.utf8"
LC_IDENTIFICATION="pa_IN.utf8"
LC_ALL=
Comment 2 Akira TAGOH 2012-10-09 22:22:43 EDT
I suppose GtkFontChooser disables fallback font by default. so it's not that surprised even if Gurmukhi characters are displayed as the hex code on Liberation Mono. if you prefer displaying an example in English, it's a translation issue I think. reassigning to gnome-terminal.
Comment 4 A S Alam 2012-10-10 03:59:07 EDT
(In reply to comment #2)
> I suppose GtkFontChooser disables fallback font by default. so it's not that
> surprised even if Gurmukhi characters are displayed as the hex code on
> Liberation Mono. if you prefer displaying an example in English, it's a
> translation issue I think. reassigning to gnome-terminal.

how can it appear in gedit also?
Comment 5 Pravin Satpute 2012-10-10 04:22:33 EDT
Same bug was there earlier with gnome-font-viewer.

Example:
$LANG=mr_IN gnome-font-viewer LiberationMono-Regular.ttf

It was trying to show pango marathi language string with Liberation Mono, but since Liberation Mono does not supports Marathi it was showing square box.

But now it is fixed in gnome-font-viewer

Still same issue is in gedit as well.
Comment 6 Akira TAGOH 2012-10-10 07:59:35 EDT
(In reply to comment #4)
> (In reply to comment #2)
> > I suppose GtkFontChooser disables fallback font by default. so it's not that
> > surprised even if Gurmukhi characters are displayed as the hex code on
> > Liberation Mono. if you prefer displaying an example in English, it's a
> > translation issue I think. reassigning to gnome-terminal.
> 
> how can it appear in gedit also?

Or reassigning to gtk3 maybe?
Comment 7 Parag Nemade 2012-12-26 04:53:50 EST
I think this is because of there are no latin glyphs in Lohit Punjabi font. so this cannot be a bug in gnome-terminal
Comment 8 Pravin Satpute 2012-12-26 07:24:38 EST
Latin shapes of Lohit Punjabi are not used in this case.

Each font shows shapes it contains, so user can select font according to his choice.

Problem is gnome-terminal looking for Punjabi shapes in Latin font ;) 
and that is why we are getting square boxes.

this need fix.
Comment 9 Parag Nemade 2012-12-27 00:23:37 EST
Now I understood the problem :) reopening this bug.
Comment 11 Fedora End Of Life 2013-12-21 10:08:25 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Pravin Satpute 2013-12-22 23:23:04 EST
This is working fine now. If font does not have characters for locale sample string, sample sting shown from fonts character itself.

Closing please reopen if any problem.